For the complete documentation index, see llms.txt. This page is also available as Markdown.

Currency Exchange Rates

Retrieve the latest Currency Exchange Rates Violet is using for multi-currency transactions.

Retrieves the latest currency exchange rates that are currently being utilized within Violet when calculating the prices of Offers and Carts with differing currencies. Retrieved exchange rates are cached. This cache will never exceed 24 hours.

get
Query parameters
base_currencystringOptional
symbolsstringOptional
Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Responses
default

default response

application/json
successbooleanOptional
timestampinteger · int64Optional
basestringOptional
datestringOptional
get/currencies/latest
GET /v1/currencies/latest HTTP/1.1
Host: sandbox-api.violet.io
X-Violet-Token: text
X-Violet-App-Secret: text
X-Violet-App-Id: 1
Accept: */*
default

default response

{
  "success": true,
  "timestamp": 1,
  "base": "text",
  "date": "text",
  "rates": {
    "ANY_ADDITIONAL_PROPERTY": 1
  }
}

Last updated

Was this helpful?